| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Attributes | Properties | Private Attributes | Static Private Attributes | List of all members
IG.Lib.RegisterableExamples.ExampleIRegistrable Class Reference

Example implementation of IIdentifiable interface. More...

Inheritance diagram for IG.Lib.RegisterableExamples.ExampleIRegistrable:
[legend]
Collaboration diagram for IG.Lib.RegisterableExamples.ExampleIRegistrable:
[legend]

## Public Member Functions
| ExampleIRegistrable (string str)
void | Register ()
| Registers the current object. Subsequent calls (after the first one) have no effect. More...
bool | IsRegistered ()
| Returns true if the current object is registered, false if not. More...
void | Unregister ()
| Unregisters the current object if it is currently registered. Can be performed several times, in this case only the first call may have effect. More...
override string | ToString ()

## Protected Attributes
string | _msg

## Properties
virtual int | Id`[get]`
| Returns unique Id (in the scope of a given type) of the current object. Method is defined as virtual so that derived class can have its own IDs by defining its own static IdentifiableGenerator object. More...
ObjectRegister < ExampleIRegistrable > | ObjectRegister`[get]`
| Gets object register where the current object is registered. More...
Properties inherited from IG.Lib.IRegisterable< T >
ObjectRegister< T > | ObjectRegister`[get]`
| Gets the object register where the current object can be registered. More...
Properties inherited from IG.Lib.IIdentifiable
int | Id`[get]`
| Returns unique ID (in the scope of a given type) of the current object. More...

## Private Attributes
IdProxy | _idPproxy
| Proxy object that implements the IIdentifiable interface for this object. More...

## Static Private Attributes
static ObjectRegister < ExampleIRegistrable > | _register
| Static object that providees object register and generates IDs for this class: More...

## Detailed Description

Example implementation of IIdentifiable interface.

## Constructor & Destructor Documentation

IG.Lib.RegisterableExamples.ExampleIRegistrable.ExampleIRegistrable | ( | string | str | ) |
| inline

## Member Function Documentation

void IG.Lib.RegisterableExamples.ExampleIRegistrable.Register | ( |  | ) |
| inline

Registers the current object. Subsequent calls (after the first one) have no effect.

Implements IG.Lib.IRegisterable< T >.

bool IG.Lib.RegisterableExamples.ExampleIRegistrable.IsRegistered | ( |  | ) |
| inline

Returns true if the current object is registered, false if not.

Returns

Implements IG.Lib.IRegisterable< T >.

void IG.Lib.RegisterableExamples.ExampleIRegistrable.Unregister | ( |  | ) |
| inline

Unregisters the current object if it is currently registered. Can be performed several times, in this case only the first call may have effect.

Implements IG.Lib.IRegisterable< T >.

Referenced by IG.Lib.RegisterableExamples.ExampleRegistrable().

override string IG.Lib.RegisterableExamples.ExampleIRegistrable.ToString | ( |  | ) |
| inline

Referenced by IG.Lib.RegisterableExamples.ExampleRegistrable().

## Member Data Documentation

string IG.Lib.RegisterableExamples.ExampleIRegistrable._msg
| protected

ObjectRegister<ExampleIRegistrable> IG.Lib.RegisterableExamples.ExampleIRegistrable._register
| static private

Initial value:
=
new ObjectRegister<ExampleIRegistrable>(1 )

Static object that providees object register and generates IDs for this class:

IdProxy IG.Lib.RegisterableExamples.ExampleIRegistrable._idPproxy
| private

Initial value:
=
new IdProxy(_register)

Proxy object that implements the IIdentifiable interface for this object.

## Property Documentation

virtual int IG.Lib.RegisterableExamples.ExampleIRegistrable.Id
| get

Returns unique Id (in the scope of a given type) of the current object. Method is defined as virtual so that derived class can have its own IDs by defining its own static IdentifiableGenerator object.

ObjectRegister<ExampleIRegistrable> IG.Lib.RegisterableExamples.ExampleIRegistrable.ObjectRegister
| get

Gets object register where the current object is registered.

Referenced by IG.Lib.RegisterableExamples.ExampleRegistrable().

The documentation for this class was generated from the following file:

- igbase/utilities/UtilIdRegistration.cs